## ros-dashing-joy-teleop 1.1.0

=== debian/changelog ===
ros-dashing-joy-teleop (1.1.0-1bionic) bionic; urgency=high

  * Add the ability to have deadman axes. (#46 <https://github.com/ros-teleop/teleop_tools/issues/46>)
    * Add the ability to have deadman axes.
    Some controllers don't have a convenient shoulder trigger
    button, but do have shoulder "axes".  Allow the axes to
    be used for a deadman trigger, assuming they are pressed
    all the way.  Note that I used a dict for the list of
    axes, as this provides the most convenient way to deal
    with controllers that use 1.0, -1.0, or 0.0 as the "far"
    end of the axis.
    * Make sure to ignore buttons and axes that don't exist.
  * Contributors: Chris Lalancette

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Apr 2020 23:00:00 -0000

ros-dashing-joy-teleop (1.0.2-1bionic) bionic; urgency=high

  * Avoid halting on action server status checks. (#48 <https://github.com/ros-teleop/teleop_tools/issues/48>)
  * Depend action_tutorials_interfaces (#44 <https://github.com/ros-teleop/teleop_tools/issues/44>)
  * log JoyTeleopException (#41 <https://github.com/ros-teleop/teleop_tools/issues/41>)
  * Contributors: Michel Hidalgo, Yutaka Kondo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-dashing-joy-teleop (1.0.1-1bionic) bionic; urgency=high

  * Fix install rules and dashing changes (#38 <https://github.com/ros-teleop/teleop_tools/issues/38>)
    * fix ament indexing
    * fix package resource files
    * add tk depenndency
    * add check for param index-ability
    * data files are now package agnostic
    Signed-off-by: Ted Kern <mailto:ted.kern@canonical.com>
  * Contributors: Ted Kern

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 17 Sep 2019 23:00:00 -0000

ros-dashing-joy-teleop (1.0.0-1bionic) bionic; urgency=high

  * ROS2 port (#35 <https://github.com/ros-teleop/teleop_tools/issues/35>)
    * key_teleop pkg format 3
    * port teleop_tools_msgs
    * key_teleop catch KeyboardInterrupt
    * port mouse_teleop
    * add key_teleop.yaml
    * add xmllint test
    * fix xmllint tests
    * remove useless class KeyTeleop
    * Fixes for dynamic topic joy publishers
    - match_command() now compares button array length to the max
    deadman button index (apples to apples)
    - match_command function now checks if any of the deadman buttons
    are depressed before returning a match
    - properly handle a std_msgs/msg/Empty 'message_value' by not
    attempting to access its value
    - utilizes iter-items to correctly index into the config dict
    for 'axis_mappings''s 'axis' and 'button' values
    - set_member() now splits according to a dash (-) rather than a
    periond (.) to be consistent with ros2 param parsing & example yaml
    - adds the correct name to setup.py for test_key_teleop.py test
    * reduce copy/pasta
  * Contributors: Jeremie Deray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Sep 2019 23:00:00 -0000

ros-dashing-joy-teleop (0.3.0-1bionic) bionic; urgency=high

  * Fill in the timestamp of outgoing messages, if applicable.
  * add service example
  * Add option for persistent service, defaulted false
  * Contributors: AndyZe, Jeremie Deray, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-dashing-joy-teleop (0.2.6-1bionic) bionic; urgency=high

  * Support using buttons and axis in the same message
  * Contributors: Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-dashing-joy-teleop (0.2.5-1bionic) bionic; urgency=high

  * Remove duplicate examples, add list ones
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-dashing-joy-teleop (0.2.4-1bionic) bionic; urgency=high

  * Replace joy_teleop.fill_msg with genpy.message.fill_message_args
  * Contributors: Stephen Street

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-dashing-joy-teleop (0.2.3-1bionic) bionic; urgency=high

  * Add hello publish to example
  * Rename to fix example launch file
  * Added example of feature to config file
  * Added message_value parameter to specify message content on topics
  * PEP8 style stuff
  * Fixes bug when keep asking for increments
    would make the goal position grow infinitely instead of be of maximum 'current joint position' + 'increment quantity'
  * Contributors: Bence Magyar, Sam Pfeiffer, SomeshDaga

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-dashing-joy-teleop (0.2.2-1bionic) bionic; urgency=high

  * Add install rules for example files
  * gracefully handle missing joy axes
  * Contributors: Bence Magyar, Kopias Peter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-dashing-joy-teleop (0.2.1-1bionic) bionic; urgency=high

  * Add support for services
    it is now possible to asynchronously send service requests on button presses
  * Adds queue_size keyword
  * Contributors: Bence Magyar, Nils Berg, Enrique Fernandez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-dashing-joy-teleop (0.2.0-1bionic) bionic; urgency=high

  * Add example for incrementer
  * Update package.xmls
  * Add incrementer_server
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-dashing-joy-teleop (0.1.2-1bionic) bionic; urgency=high

  * joy_teleop: fix minor typo
  * Contributors: G.A. vd. Hoorn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-dashing-joy-teleop (0.1.1-1bionic) bionic; urgency=high

  * Change maintainer
  * checks for index out of bounds in buttons list
    buttons is a list, not a dict
    Filter out buttons not available
  * Check for b in buttons
  * Check for IndexError
  * joy_teleop: add action server auto-refresh

