=== debian/control ===
Source: ros-dashing-joy-teleop
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-pep257, ros-dashing-ament-xmllint, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-joy-teleop
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-control-msgs, ros-dashing-rclpy, ros-dashing-sensor-msgs, ros-dashing-teleop-tools-msgs, ros-dashing-trajectory-msgs, ros-dashing-ros-workspace
Description: A (to be) generic joystick interface to control a robot
